Debian Bug report logs - #445057
edict & kanjidic: License discrepancy between the Debian package and upstream, upstream's license being non-free

version graph

Package: kanjidic; Maintainer for kanjidic is Ludovic Drolez <ldrolez@debian.org>; Source for kanjidic is src:kanjidic.

Reported by: Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp>

Date: Tue, 2 Oct 2007 18:33:01 UTC

Severity: serious

Tags: confirmed

Merged with 445021

Found in version kanjidic/2006.10.09-0.1

Fixed in version kanjidic/2008.02.13-1

Done: Ludovic Drolez <ldrolez@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#445020; Package edict. Full text and rfc822 format available.

Acknowledgement sent to Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp>:
New Bug report received and forwarded. Copy sent to Ludovic Drolez <ldrolez@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: edict & kanjidic: License discrepancy between the Debian package and upstream, upstream's license being non-free
Date: Wed, 03 Oct 2007 03:16:44 +0900
Package: edict
Version: 2006.10.09-1
Severity: serious
Justification: Policy 2.2.1


Hi,

Current license for edict and kanjidic seems to be CC by-sa 2.5, which
is different from a custom license described in debian/copyright and
is not DFSG-free.  IMHO the best solution for this situation is
proposing an upgrade of the license to CC by-sa 3.0 and including
licence.html in the source packages.

Detailed descriptions
=====================
First of all, there are three facts:

* Although the license statement described in debian/copyright in the
  edict and kanjidic packages seems to be a custom license of the
  Electronic Dictionary Research and Development Group at Monash
  University, which is considered to be DFSG-free, the online license
  statement[1] says these packages are distributed under CC by-sa.

* There are no license descriptions in .orig.tar.gz tarballs of Debian
  source packages for edict and kanjidic, which seem to be rolled by
  you package maintainers since the upstream does not distribute the
  software (dictionary data files) as a tarball.  However,
  edict_doc.html and kanjidic_doc.html point the online license page
  for license information.  So, what is described on that page now is
  the actual license statement.

* The online license page only says that the license for distribution
  is CC by-sa and does not specify its version.  However, the license
  deed and full license code linked from that page is ones of CC by-sa
  2.5, which is not considered to be DFSG-free.

>From these facts, I guess that the upstream changed the license from
the custom one to CC by-sa 2.5 without notice.  It is obvious from
web.archive.org[2] that the current license was already used in July,
2006.

To solve this situation, I make two proposals:

* To give the upstream suggestions to upgrade the license to CC by-sa
  3.0 and to specify that version clearly in the license page.

* To include licence.html in the Debian source packages for edict and
  kanjidic.

Although whether Debian now declare CC by 3.0 and CC by-sa 3.0 to be
DFSG-free or not was uncertain[3], I hope CC by-sa 3.0 is considered
to be DFSG-free now that ttf-konatu[4], a Japanese font package
licensed by CC by-sa 3.0, has got in the Debian main archive.

# I am maintaining the skkdic package and its upstream release
# contains an edict-derivative dictionary (My predecessors and I have
# considered it to be non-free and excluded it from the package).
# Also, I'd like to package a program which uses kanjidic2.xml.  So, I
# hope I will hear a good news.

[1] http://www.csse.monash.edu.au/~jwb/edrdg/licence.html
[2] http://web.archive.org/web/*/http://www.csse.monash.edu.au/~jwb/edrdg/licence.html
[3] http://wiki.creativecommons.org/Version_3#Debian
[4] http://packages.qa.debian.org/t/ttf-konatu.html

Many thanks,

-nori


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-686
Locale: LANG=ja_JP.eucJP, LC_CTYPE=ja_JP.eucJP (charmap=EUC-JP)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#445020; Package edict. Full text and rfc822 format available.

Acknowledgement sent to Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp>, 445020@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. Full text and rfc822 format available.

Message #10 received at 445020@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian_ernst@gmx.net>
To: Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp>
Cc: 445020@bugs.debian.org
Subject: Re: Bug#445020: edict & kanjidic: License discrepancy between the Debian package and upstream, upstream's license being non-free
Date: Wed, 3 Oct 2007 00:11:59 +0200
[Message part 1 (text/plain, inline)]
tags 445020 confirmed
clone 445020 -1
reassign -1 kanjidic
thanks

On Wed, Oct 03, 2007 at 03:16:44AM +0900, Kobayashi Noritada wrote:
> >From these facts, I guess that the upstream changed the license from
> the custom one to CC by-sa 2.5 without notice.  It is obvious from
> web.archive.org[2] that the current license was already used in July,
> 2006.

Ack. This change wasn't clearly reflected in the files we wget and put
into the orig.tar.gz for edict and kanjidic.

Dang!

> To solve this situation, I make two proposals:
> 
> * To give the upstream suggestions to upgrade the license to CC by-sa
>   3.0 and to specify that version clearly in the license page.
> 
> * To include licence.html in the Debian source packages for edict and
>   kanjidic.
> 
> Although whether Debian now declare CC by 3.0 and CC by-sa 3.0 to be
> DFSG-free or not was uncertain[3], I hope CC by-sa 3.0 is considered
> to be DFSG-free now that ttf-konatu[4], a Japanese font package
> licensed by CC by-sa 3.0, has got in the Debian main archive.

This seems like the way to go to resolve this for testing/unstable.
However, what about Etch...? Ludovic, what do you think?

Cheers,
Flo
[signature.asc (application/pgp-signature, inline)]

Tags added: confirmed Request was from Florian Ernst <florian_ernst@gmx.net> to control@bugs.debian.org. (Tue, 02 Oct 2007 22:18:03 GMT) Full text and rfc822 format available.

Bug 445020 cloned as bug 445057. Request was from Florian Ernst <florian_ernst@gmx.net> to control@bugs.debian.org. (Tue, 02 Oct 2007 22:18:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `edict' to `kanjidic'. Request was from Florian Ernst <florian_ernst@gmx.net> to control@bugs.debian.org. (Tue, 02 Oct 2007 22:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ludovic Drolez <ldrolez@debian.org>:
Bug#445057; Package kanjidic. Full text and rfc822 format available.

Acknowledgement sent to Florian Ernst <florian@debian.org>:
Extra info received and forwarded to list. Copy sent to Ludovic Drolez <ldrolez@debian.org>. Full text and rfc822 format available.

Message #21 received at 445057@bugs.debian.org (full text, mbox):

From: Florian Ernst <florian@debian.org>
To: control@bugs.debian.org
Cc: 445021@bugs.debian.org, 445057@bugs.debian.org
Subject: forcibly merging 445021 445057
Date: Wed, 03 Oct 2007 00:58:48 +0200
# Automatically generated email from bts, devscripts version 2.10.8
# gnah, 445021 still hasn't reached my inbox ...
forcemerge 445021 445057





Forcibly Merged 445021 445057. Request was from Florian Ernst <florian@debian.org> to control@bugs.debian.org. (Tue, 02 Oct 2007 23:09:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:08:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 09:54:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.